Main Page Modules Data Structures File List Data Fields Globals Related Pages

# mp32number Struct Reference

`#include <mp32number.h>`

## Data Fields
uint32 | size
uint32 * | data

## Field Documentation

uint32* mp32number::data

| Definition at line 39 of file mp32number.h. Referenced by dhaes_pContextSetup, dldp_pEqual, dldp_pgonGenerator_w, dldp_pgoqGenerator_w, dlpk_pEqual, dlpk_pgonValidate, dlpk_pgoqValidate, elgv1sign, elgv1vrfy, elgv3sign, elgv3vrfy, hashFunctionContextDigest, hashFunctionContextDigestMatch, hashFunctionContextUpdateMP32, keyedHashFunctionContextDigest, keyedHashFunctionContextDigestMatch, keyedHashFunctionContextUpdateMP32, mp32bnmulmod, mp32bnpowmod, mp32bnpowmodsld, mp32bnrnd, mp32bnsqrmod, mp32ncopy, mp32nfree, mp32ninit, mp32nset, mp32nsethex, mp32nsetw, mp32nsize, mp32nwipe, mp32nzero, mp32prnd_w, mp32prndconone_w, pgpPrtPubkeyParams, pgpPrtSigParams, rsakpMake, rsapri, rsapricrt, rsavrfy, and verifyGPGSignature.

uint32 mp32number::size

| Definition at line 37 of file mp32number.h. Referenced by dhaes_pContextSetup, dldp_pEqual, dldp_pgonGenerator_w, dldp_pgoqGenerator_w, dlpk_pEqual, dlpk_pgonValidate, dlpk_pgoqValidate, elgv1sign, elgv1vrfy, elgv3sign, elgv3vrfy, hashFunctionContextDigestMatch, hashFunctionContextUpdateMP32, keyedHashFunctionContextDigestMatch, keyedHashFunctionContextUpdateMP32, mp32bnmulmod, mp32bnpowmod, mp32bnpowmodsld, mp32bnsqrmod, mp32ncopy, mp32nfree, mp32ninit, mp32nset, mp32nsethex, mp32nsetw, mp32nsize, mp32nwipe, mp32nzero, mp32prnd_w, mp32prndconone_w, pgpPrtPubkeyParams, pgpPrtSigParams, rsakpMake, rsapri, rsapricrt, and rsavrfy.

The documentation for this struct was generated from the following file:

- beecrypt/mp32number.h